<TeXmacs|1.0.2>

<style|<tuple|help|axoim-tutorial|axiom-tutorial|axiom>>

<\body>
  <apply|aboveTopic|oneStepTOC.tm><apply|windowTitle|Accessing previous
  results, recalling input><label|previous><section|1.6. Accessing previous
  results, recalling input><label|previous>

  Suppose that we have just calculated a value for some (possibly quite
  complicated) expression, then realise that we are likely to need this value
  in other calculations. This is easily remedied: the command <verbatim|
  keepit := % > will assign the most recent output to the variable <with|font
  family|tt|keepit> (or to whatever other variable you have chosen to use).
  <with|font family|tt|%> refers to the most recently calculated result.
  Other features of the <with|font shape|italic|history> mechanism are
  provided by the function <with|font family|tt|%%> -- the result of
  instruction number <with|font shape|italic|n> is referred to as <with|font
  family|tt|%%(><with|font shape|italic|n><with|font family|tt|)>, so:

  <with|prog language|axiom|this session|default|<\session>
    <\input|<\with|color|red>
      <with|mode|math|\<rightarrow\>>\ 
    </with>>
      %%(1)
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|2<apply|leqno>(15)>
      </with>

      <apply|axiomtype|PositiveInteger >
    </output>

    <\input|<\with|color|red>
      <with|mode|math|\<rightarrow\>>\ 
    </with>>
      \;
    </input>
  </session>>

  displays the result of the very first command, <with|font family|tt|1 + 1>.
  (If it doesn't do so for you, this is probably because you tried <with|font
  family|tt|)clear c>. Type in a few expressions and try again.) It is also
  possible to count back from the present line number, by using a negative
  value for <with|font shape|italic|n>; thus:

  <with|prog language|axiom|this session|default|<\session>
    <\input|<\with|color|red>
      <with|mode|math|\<rightarrow\>>\ 
    </with>>
      1 + %%(-3)
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|4<apply|leqno>(16)>
      </with>

      <apply|axiomtype|PositiveInteger >
    </output>

    <\input|<\with|color|red>
      <with|mode|math|\<rightarrow\>>\ 
    </with>>
      \;
    </input>
  </session>>

  adds one to the result of step <with|font family|tt|(15 - 3)>, that is,
  step <with|font family|tt|(12)>.

  If you simply want to see the last few (<with|mode|math|k> say) commands
  which you have issued, you can use the <verbatim|)history> command itself,
  in the form <verbatim|)history )show> <with|mode|math|k><apply|index|history@<verbatim|)history>!show@<verbatim|)show>>.
  This will replay your input to the last <with|mode|math|k> distinct
  prompts. If you omit the <with|mode|math|k>, <apply|Language|> uses a
  default value of 20.

  Adding <with|font family|tt|both> to the end of the <verbatim|)history
  )show> command causes <apply|Language|> to display both input and output;
  in this case, the default for <with|mode|math|k> is reduced to 5.

  <apply|nextTopic|oneStep07.tm> <apply|previousTopic|oneStep05.tm>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|previous|<tuple|<uninit>|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|idx>
      <tuple|<tuple|history@<with|font family|<quote|tt>|language|<quote|verbatim>|)history>!show@<with|font
      family|<quote|tt>|language|<quote|verbatim>|)show>>|<pageref|idx-1>>
    </associate>
  </collection>
</auxiliary>
